/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Premios;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class PremiosFacade extends AbstractFacade<Premios> implements PremiosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public PremiosFacade() {
        super(Premios.class);
    }

    @Override
    public Premios busquedaPremio(String premioNombre, String programaCodigo) {

        Premios rs;
        try {
            Query q = em.createNamedQuery("Premios.findByPremioNombreYprograma");
            q.setParameter("premioNombre", premioNombre);
            q.setParameter("programaCodigo", programaCodigo);
            rs = (Premios) q.getResultList().get(0);
        } catch (Exception e) {
            rs = new Premios();
        }
        return rs;
    }

    @Override
    public Premios findPremioByCodigo(String premioCodigo) {
        Query q = em.createNamedQuery("Premios.findByPremioCodigo");
        q.setParameter("premioCodigo", premioCodigo);
        try {
            return (Premios) q.getResultList().get(0);
        } catch (Exception e) {
            return new Premios();
        }

    }

}
